Jump to content
Omar_one

product images not showing ocs 2.3 edge

Recommended Posts

Hello,

the product images not showing but there are on the database and the uploading work also to the server.  and when I open the product image link on new tab

it show this error

Server error!

The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there was an error in a CGI script.

If you think this is a server error, please contact the webmaster.
Error 500

i am not sure if it is  ..htaccess file but delete it was and re-upload new one was not help..

 

ocs 2.3 edge

any help

 

 

 


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites

Hello,

the product images not showing but there are on the database and the uploading work also to the server.  and when I open the product image link on new tab

it show this error

Server error!

The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there was an error in a CGI script.

If you think this is a server error, please contact the webmaster.
Error 500

i am not sure if it is  ..htaccess file but delete it was and re-upload new one was not help..

 

ocs 2.3 edge

any help

 

have you made any changes to the store or is it a stock install?

 

The usual culprits are .htacces, permissions or coding mistake.

 

a bit more info is needed.


Bootstrap 3 ROCKS!

(or it will if I ever get my head around it lol)

(and I think I have now (w00t) )

Share this post


Link to post
Share on other sites

@@PupStar thank you 

updating from 2.3 normal to 2.3 Edge .

 

@@Omar_one

 

then it definately looks like a coding error


Bootstrap 3 ROCKS!

(or it will if I ever get my head around it lol)

(and I think I have now (w00t) )

Share this post


Link to post
Share on other sites

@@PupStar

some of product image show, but when I reload the browser or going to product info the image disappear.


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites

@@Omar_one

 

this maybe a daft question but why are you upgrading and not just install the responsive version?


Bootstrap 3 ROCKS!

(or it will if I ever get my head around it lol)

(and I think I have now (w00t) )

Share this post


Link to post
Share on other sites

@@PupStar sorry it was not updating it was installing the responsive version and installing the database after fix the data to work with responsive version


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites

@@Omar_one

 

unfortunately I have never done a database conversion so I can not really help, sorry


Bootstrap 3 ROCKS!

(or it will if I ever get my head around it lol)

(and I think I have now (w00t) )

Share this post


Link to post
Share on other sites

There is a database conversion script somewhere on these forums to make the earlier databases match the newer edge one. You may find it using the search function. I also cant remember what version of oscommerce it converts from as many of the database tables are different.

 

There are also quite a few posts about using an older database on the newer edge version. Again a search ought to find them.


REMEMBER BACKUP, BACKUP AND BACKUP

Get the latest Responsive osCommerce CE (community edition) here

It's very easy to over complicate what are simple things in life

Share this post


Link to post
Share on other sites

Thank you @@14steve14 @@PupStar..

I have been using the script...I think it's server problem coz, I upload it the files and database to another server and it's working well..

Edited by Omar_one

Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites

There are lots of things that one server will accept, but will cause a 500 (internal) error on another. The chief ones are "Options" commands in .htaccess, and the use of "php_value" and "php_flag" commands in .htaccess, which should be in a php.ini file (different format) instead. Go through your .htaccess and see if you have any of these. If you do, comment them out (with # ) and see if the error goes away. If it does, you found the problem and need to fix your .htaccess.

Share this post


Link to post
Share on other sites

thank you @@MrPhil but it was not help :'(.

 

here is the .htaccess file

# $Id$
#
# This is used with Apache WebServers
#
# For this to work, you must include the parameter 'Options' to
# the AllowOverride configuration
#
# Example:
#
# <Directory "/usr/local/apache/htdocs">
#   AllowOverride Options
# </Directory>
#
# 'All' with also work. (This configuration is in the
# apache/conf/httpd.conf file)

# The following makes adjustments to the SSL protocol for Internet
# Explorer browsers

#<IfModule mod_setenvif.c>
#  <IfDefine SSL>
#    SetEnvIf User-Agent ".*MSIE.*" \
#             nokeepalive ssl-unclean-shutdown \
#             downgrade-1.0 force-response-1.0
#  </IfDefine>
#</IfModule>

# If Search Engine Friendly URLs do not work, try enabling the
# following Apache configuration parameter

# AcceptPathInfo On

# Fix certain PHP values
# (commented out by default to prevent errors occuring on certain
# servers)

# php_value session.use_trans_sid 0
# php_value register_globals 1

<IfModule mod_headers.c>
  Header unset ETag
</IfModule>
FileETag None

## EXPIRES CACHING ##
## https://gtmetrix.com/leverage-browser-caching.html ##
<IfModule mod_expires.c>
ExpiresActive On
ExpiresByType image/jpg "access plus 1 year"
ExpiresByType image/jpeg "access plus 1 year"
ExpiresByType image/gif "access plus 1 year"
ExpiresByType image/png "access plus 1 year"
ExpiresByType text/css "access plus 1 month"
ExpiresByType application/pdf "access plus 1 month"
ExpiresByType text/x-javascript "access plus 1 month"
ExpiresByType application/x-shockwave-flash "access plus 1 month"
ExpiresByType image/x-icon "access plus 1 year"
ExpiresByType application/javascript "access plus 1 year"
ExpiresDefault "access plus 2 days"
</IfModule>
## EXPIRES CACHING ##


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites

Hi,

 

I don't know if it helps but if you have KissIT image thumbnailer I have some issues in showing the product images in my new EDGE version.

Share this post


Link to post
Share on other sites

Suspect your .htaccess first. Comment out (# in column 1) all your entries and see if that stops the error. If it does, the problem is something in your .htaccess. Uncomment statements one at a time (obviously, <If> statements have to be done in pairs) until the error shows up. Report back here what statement(s) caused problems and what is their purpose, and maybe someone can figure out a workaround.

 

If it's not your .htaccess, follow a similar process with any php.ini file you have. If that's not it, carefully look at your .php files to see if there are any blank/empty lines.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×